Клуб API Карт

2.0 переключен на 2.0.28

tekunova
11 апреля 2013, 17:31
2.0 переключен на 2.0.28

Мы переключили ссылку api-maps.yandex.ru/2.0 на версию API 2.0.28. Если вы хотите продолжить использование предыдущей версии, указывайте api-maps.yandex.ru/2.0.27.

Рекомендуем прочитать статью о системе версионирования и использовать наиболее подходящую для ваших задач ссылку для подключения API.

Команда разработчиков API Яндекс.Карт.

7 комментариев
Подписаться на комментарии к посту
рад за вас. как только вы выкатываете улучшения, становится все труднее пользоваться сервисом, или что-нибудь отваливается в уже работающем проекте.
Никто не запрещает вам зафиксировать версию АПИ.
у меня готовый модуль для joomla. мне надо изучить php для этого нехитрого действия?
Вероятно, этот вопрос стоит задать разработчику модуля.
Емелин Алексей
13 апреля 2013, 20:57

А не могли бы вы рассказать про "что-нибудь отваливается" поподробнее?

этот код заработал только после замены _T.balloonContent; на _S.balloonContent;

myMap.geoObjects.events.add('click', function (e) {
    var id = e.get('target').options.get('zkey'),
        balloon = e.get('target').properties._T.balloonContent;   
    if(currId) myMap.geoObjects.remove(zones[currId]);

а так как до прекрасной новости о смене API он работал, стоит признать, что контроль обратной совместимости у разработчиков отсутствует.
   
вместо использования метода интерфейса вы завязались на имя внутреннего поля (его называет так обфускатор кода) Стоит признать что при переходе на следующую версию этот код вновь сломается. И разработчики АПИ тут ни при чем.